import { publishCall } from "../../../misc/publishCall";
/**
 * Makes a target visible. For example, ShowTarget(&quot;Left&quot;) opens the Drawer in an app with Slide Navigation.
 * @param {string} targetName
 */
export const showTarget = (targetName) => {
    let resolver = (opt, val, resolve) => resolve();
    return publishCall("showTarget", ["ok"], resolver, targetName);
};
/**
 * Hides a target.
 * @param {string} targetName
 */
export const hideTarget = (targetName) => {
    let resolver = (opt, val, resolve) => resolve();
    return publishCall("hideTarget", ["ok"], resolver, targetName);
};
/**
 * Expands a target.
 * @param {string} targetName
 */
export const expandTarget = (targetName) => {
    let resolver = (opt, val, resolve) => resolve();
    return publishCall("expandTarget", ["ok"], resolver, targetName);
};
/**
 * Collapses a target.
 * @param {string} targetName
 */
export const collapseTarget = (targetName) => {
    let resolver = (opt, val, resolve) => resolve();
    return publishCall("collapseTarget", ["ok"], resolver, targetName);
};
//# sourceMappingURL=navigation.js.map