import { publishCall } from "../../../../misc/publishCall";
/**
 * Returns a multimedia item (image, video, audio, etc.) by delegating the call
 * to the generator.
 * @return {string} media
 */
export const pickMultimedia = async (fnName) => {
    let resolver = (opt, media, resolve) => {
        if (opt === "ok") {
            resolve(media);
        }
        else {
            resolve(null);
        }
    };
    return publishCall(fnName, ["ok", "cancel"], resolver);
};
//# sourceMappingURL=pickMultimedia.js.map