import { DeserializeISOStringToDate } from "./type-conversions/deserializeISOStringToDate";
import { SerializeDateToISOString } from "./type-conversions/serializeDateToISOString";
export class GxDate extends Date {
    serialize() {
        return SerializeDateToISOString(this);
    }
    deserialize(isoDate) {
        const dt = DeserializeISOStringToDate(isoDate);
        return new GxDate(dt);
    }
    fromISOString(isoDate) {
        const dt = DeserializeISOStringToDate(isoDate);
        return new GxDate(dt);
    }
    static createFromDate(d) {
        return new GxDate(d);
    }
    static compare(GxDate1, GxDate2) {
        let res;
        if (GxDate1.getTime() === GxDate2.getTime()) {
            res = true;
        }
        else {
            res = false;
        }
        return res;
    }
}
//# sourceMappingURL=gxdate.js.map