import { isSerializable } from "../type-serialization";
import { CreateInstance } from "./createInstance";
import { sweepObjectToClass } from "./sweepObjectToClass";
export const objectToClass = (obj, type) => {
    const inst = CreateInstance(type, Array.isArray(obj));
    if (isSerializable(inst)) {
        return inst.deserialize(obj);
    }
    else if (obj && typeof obj === "object") {
        return sweepObjectToClass(obj, inst);
    }
    else {
        return obj;
    }
};
//# sourceMappingURL=objectToClass.js.map