"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.modBigNumber = void 0;
const gxbignumber_1 = require("../types/gxbignumber");
/**
 * @param {GxBigNumber} dividend
 * @param {GxBigNumber} divisor
 * @returns GxBigNumber
 */
const modBigNumber = (dividend, divisor) => {
    let dividendAux = 0;
    let divisorAux = 0;
    if (dividend instanceof gxbignumber_1.GxBigNumber) {
        dividendAux = Number(dividend.toString());
    }
    if (divisor instanceof gxbignumber_1.GxBigNumber) {
        divisorAux = Number(divisor.toString());
    }
    if (divisorAux === 0) {
        return new gxbignumber_1.GxBigNumber(NaN);
    }
    else {
        if (dividendAux >= 0) {
            return new gxbignumber_1.GxBigNumber(Math.trunc(Math.abs(dividendAux) % Math.abs(divisorAux)));
        }
        else {
            return new gxbignumber_1.GxBigNumber(-Math.trunc(Math.abs(dividendAux) % Math.abs(divisorAux)));
        }
    }
};
exports.modBigNumber = modBigNumber;
//# sourceMappingURL=mod.js.map