"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toStringBigNumber = void 0;
const add_1 = require("../math/add");
const gxbignumber_1 = require("../types/gxbignumber");
const round_1 = require("./round");
/**
 * Converts the give number to string
 * @param {GxBigNumber} value
 * @param {GxBigNumber} characters
 * @param {GxBigNumber} decimals
 * @returns string
 */
const toStringBigNumber = (value, characters, decimals) => {
    let decimalsAux = Number(decimals.toString());
    let charactersAux = Number(characters.toString());
    if (Number.isNaN(value.intNumberAll)) {
        return "";
    }
    if (decimalsAux === 0) {
        return value.toString().padStart(charactersAux);
    }
    let int = value
        .toString()
        .split(".")
        .concat("")[0];
    let decimal = value
        .toString()
        .split(".")
        .concat("")[1]
        .slice(0, (0, add_1.add)(decimals, new gxbignumber_1.GxBigNumber(1)));
    let strNum;
    if (decimal !== "") {
        strNum = (0, round_1.roundBigNumber)(value, decimals).toString();
    }
    else {
        strNum = int;
    }
    if (decimalsAux !== 0) {
        let strNumint = strNum.split(".").concat("")[0];
        let strNumdecimal = strNum.split(".").concat("")[1];
        if (strNumdecimal !== "") {
            strNum = (strNumint +
                "." +
                strNumdecimal.padEnd(decimalsAux, "0")).padStart(charactersAux);
        }
        else {
            strNum = (strNumint + "." + "".padEnd(decimalsAux, "0")).padStart(charactersAux);
        }
    }
    else {
        strNum = strNum.padStart(charactersAux);
    }
    return strNum;
};
exports.toStringBigNumber = toStringBigNumber;
//# sourceMappingURL=toString.js.map