"use strict";
/**
 * Add days to a date
 * @param {GxDate | GxDatetime} date
 * @param {number} days
 * @return any
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.addDays = void 0;
const luxon_1 = require("luxon");
const gxdate_1 = require("../types/gxdate");
const gxdatetime_1 = require("../types/gxdatetime");
const addDays = (date, days) => {
    if (date instanceof gxdate_1.GxDate) {
        return new gxdate_1.GxDate(luxon_1.DateTime.fromJSDate(date)
            .plus({ days: Math.trunc(days) })
            .toJSDate());
    }
    else if (date instanceof gxdatetime_1.GxDatetime) {
        return new gxdatetime_1.GxDatetime(luxon_1.DateTime.fromJSDate(date)
            .plus({ days: Math.trunc(days) })
            .toJSDate());
    }
};
exports.addDays = addDays;
//# sourceMappingURL=addDays.js.map