"use strict";
/**
 * Add months to a date
 * @param {GxDate | GxDatetime} date
 * @param {number} months
 * @return any
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.addMonths = void 0;
const luxon_1 = require("luxon");
const core_1 = require("../date/core");
const gxdate_1 = require("../types/gxdate");
const gxdatetime_1 = require("../types/gxdatetime");
const addMonths = (date, months) => {
    if (date instanceof gxdate_1.GxDate) {
        if (date.getTime() === core_1.EMPTY_DATE_VALUE.getTime()) {
            return new gxdate_1.GxDate(core_1.EMPTY_DATE_VALUE);
        }
        else {
            return luxon_1.DateTime.fromJSDate(date)
                .plus({ months: Math.trunc(months) })
                .toJSDate();
        }
    }
    else if (date instanceof gxdatetime_1.GxDatetime) {
        if (date.getTime() === core_1.EMPTY_DATE_VALUE.getTime()) {
            return new gxdatetime_1.GxDatetime(core_1.EMPTY_DATE_VALUE);
        }
        else {
            return luxon_1.DateTime.fromJSDate(date)
                .plus({ months: Math.trunc(months) })
                .toJSDate();
        }
    }
};
exports.addMonths = addMonths;
//# sourceMappingURL=addMonths.js.map