"use strict";
/**
 * Add years to a date
 * @param {GxDate | GxDatetime} date
 * @param {number} years
 * @return any
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.addYears = void 0;
const luxon_1 = require("luxon");
const core_1 = require("../date/core");
const gxdate_1 = require("../types/gxdate");
const gxdatetime_1 = require("../types/gxdatetime");
const addYears = (date, years) => {
    if (date instanceof gxdate_1.GxDate) {
        return date.getTime() === core_1.EMPTY_DATE_VALUE.getTime()
            ? new gxdate_1.GxDate(core_1.EMPTY_DATE_VALUE)
            : luxon_1.DateTime.fromJSDate(date)
                .plus({ years: Math.trunc(years) })
                .toJSDate();
    }
    else if (date instanceof gxdatetime_1.GxDatetime) {
        return date.getTime() === core_1.EMPTY_DATE_VALUE.getTime()
            ? new gxdatetime_1.GxDatetime(core_1.EMPTY_DATE_VALUE)
            : luxon_1.DateTime.fromJSDate(date)
                .plus({ years: Math.trunc(years) })
                .toJSDate();
    }
};
exports.addYears = addYears;
//# sourceMappingURL=addYears.js.map