"use strict";
/**
 * Returns the weekday for a given date in the selected language.
 * @param {GxDate} dateFrom
 * @param {string} language
 * @return string
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.dayOfWeekName = void 0;
const luxon_1 = require("luxon");
const core_1 = require("./core");
const dayOfWeekName = (dateFrom, language) => {
    return luxon_1.DateTime.fromJSDate(dateFrom)
        .setLocale((0, core_1.gxToLibLangMapping)(language))
        .toFormat("cccc");
};
exports.dayOfWeekName = dayOfWeekName;
//# sourceMappingURL=dayOfWeekName.js.map