"use strict";
/**
 * Returns the last date of the month of the given date.
 * @param {Date} dateFrom
 * @return Date
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.endOfMonth = void 0;
const luxon_1 = require("luxon");
const core_1 = require("../date/core");
const gxdate_1 = require("../types/gxdate");
const gxdatetime_1 = require("../types/gxdatetime");
const endOfMonth = (dateFrom) => {
    if (dateFrom instanceof gxdate_1.GxDate) {
        return dateFrom.getTime() === core_1.EMPTY_DATE_VALUE.getTime()
            ? new gxdate_1.GxDate(core_1.EMPTY_DATE_VALUE)
            : new gxdate_1.GxDate(dateFrom.getFullYear(), dateFrom.getMonth(), luxon_1.DateTime.fromJSDate(dateFrom).daysInMonth, dateFrom.getHours(), dateFrom.getMinutes(), dateFrom.getSeconds(), dateFrom.getMilliseconds());
    }
    else if (dateFrom instanceof gxdatetime_1.GxDatetime) {
        return dateFrom.getTime() === core_1.EMPTY_DATE_VALUE.getTime()
            ? new gxdatetime_1.GxDatetime(core_1.EMPTY_DATE_VALUE)
            : new gxdatetime_1.GxDatetime(dateFrom.getFullYear(), dateFrom.getMonth(), luxon_1.DateTime.fromJSDate(dateFrom).daysInMonth, dateFrom.getHours(), dateFrom.getMinutes(), dateFrom.getSeconds(), dateFrom.getMilliseconds());
    }
};
exports.endOfMonth = endOfMonth;
//# sourceMappingURL=endOfMonth.js.map