"use strict";
/**
 * Returns a datetime value corresponding to adding seconds to a datetime value.
 * @param {GxDatetime} dateFrom
 * @param {number} seconds
 * @return GxDatetime
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.addSeconds = void 0;
const core_1 = require("./core");
const core_2 = require("../date/core");
const gxdatetime_1 = require("../types/gxdatetime");
const addSeconds = (dateFrom, seconds) => {
    return dateFrom.getTime() === core_2.EMPTY_DATE_VALUE.getTime()
        ? new gxdatetime_1.GxDatetime(core_2.EMPTY_DATE_VALUE)
        : new gxdatetime_1.GxDatetime(dateFrom.getTime() + (0, core_1.secondsToMilliseconds)(seconds));
};
exports.addSeconds = addSeconds;
//# sourceMappingURL=addSeconds.js.map