"use strict";
/**
 * This method converts a DateTime value from one timezone, to another.
 * The first one is passed as a parameter of the method, while the second one is the current timezone of the process executing the method.
 * @Param GxDatetime
 * @return GxDatetime
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromTimezone = void 0;
const luxon_1 = require("luxon");
const getTimezone_1 = require("./getTimezone");
const core_1 = require("./core");
const gxdatetime_1 = require("../types/gxdatetime");
const fromTimezone = (fromDate, timezoneFrom) => {
    let offsetFrom = luxon_1.DateTime.fromJSDate(fromDate).setZone(timezoneFrom).offset;
    let offsetTo = luxon_1.DateTime.fromJSDate(fromDate).setZone((0, getTimezone_1.getTimezone)()).offset;
    return new gxdatetime_1.GxDatetime(fromDate.getTime() + (0, core_1.minutesToMilliseconds)(offsetTo - offsetFrom));
};
exports.fromTimezone = fromTimezone;
//# sourceMappingURL=fromTimezone.js.map