"use strict";
/**
 * To return a DateTime data type value corresponding to the current date and time.
 * @return GxDatetime
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.now = void 0;
const fromTimezone_1 = require("./fromTimezone");
const timezone_1 = require("./timezone");
const core_1 = require("./core");
const gxdatetime_1 = require("../types/gxdatetime");
const now = () => {
    let date = new gxdatetime_1.GxDatetime();
    let offset = (0, core_1.minutesToMilliseconds)(date.getTimezoneOffset());
    return (0, fromTimezone_1.fromTimezone)(new gxdatetime_1.GxDatetime(date.getTime() + offset), timezone_1.timezones.UTC);
};
exports.now = now;
//# sourceMappingURL=now.js.map