"use strict";
/**
 * This method applies to DateTime data type data, allowing you to convert its value to Coordinated Universal Time (UTC).
 * @Param GxDatetime
 * @return GxDatetime
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.toUniversalTime = void 0;
const luxon_1 = require("luxon");
const getTimezone_1 = require("./getTimezone");
const core_1 = require("./core");
const gxdatetime_1 = require("../types/gxdatetime");
const toUniversalTime = (fromDate) => {
    let offset = luxon_1.DateTime.fromJSDate(fromDate).setZone((0, getTimezone_1.getTimezone)()).offset;
    let ret = new gxdatetime_1.GxDatetime();
    ret.setTime(fromDate.getTime() - (0, core_1.minutesToMilliseconds)(offset));
    return ret;
};
exports.toUniversalTime = toUniversalTime;
//# sourceMappingURL=toUniversalTime.js.map