"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.set = set;
const common_1 = require("./common");
/**
 * Saves the received value associated with the specified key.
 * If it is applied consecutive times to the same key, its value is the latest assigned
 * @param {string} key
 * @param {string} value
 */
function set(key, value) {
    if (!common_1.storage) {
        return;
    }
    const pKey = (0, common_1.prefixKey)(key);
    common_1.storage.setItem(pKey, value);
}
//# sourceMappingURL=set.js.map