"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collapseTarget = exports.expandTarget = exports.hideTarget = exports.showTarget = void 0;
const publishCall_1 = require("../../../misc/publishCall");
/**
 * Makes a target visible. For example, ShowTarget(&quot;Left&quot;) opens the Drawer in an app with Slide Navigation.
 * @param {string} targetName
 */
const showTarget = (targetName) => {
    let resolver = (opt, val, resolve) => resolve();
    return (0, publishCall_1.publishCall)("showTarget", ["ok"], resolver, targetName);
};
exports.showTarget = showTarget;
/**
 * Hides a target.
 * @param {string} targetName
 */
const hideTarget = (targetName) => {
    let resolver = (opt, val, resolve) => resolve();
    return (0, publishCall_1.publishCall)("hideTarget", ["ok"], resolver, targetName);
};
exports.hideTarget = hideTarget;
/**
 * Expands a target.
 * @param {string} targetName
 */
const expandTarget = (targetName) => {
    let resolver = (opt, val, resolve) => resolve();
    return (0, publishCall_1.publishCall)("expandTarget", ["ok"], resolver, targetName);
};
exports.expandTarget = expandTarget;
/**
 * Collapses a target.
 * @param {string} targetName
 */
const collapseTarget = (targetName) => {
    let resolver = (opt, val, resolve) => resolve();
    return (0, publishCall_1.publishCall)("collapseTarget", ["ok"], resolver, targetName);
};
exports.collapseTarget = collapseTarget;
//# sourceMappingURL=navigation.js.map