"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.canOpen = void 0;
const network_1 = require("../network");
const knownProtocols = ["http:", "https:", "mailto:", "tel:"];
/**
 * Checks if an URL can be opened
 * @param {string} urlStr
 */
const canOpen = (urlStr) => {
    let baseURL = network_1.GeneXusSDNetwork.applicationServerURL();
    try {
        let url = baseURL ? new URL(urlStr, baseURL) : new URL(urlStr);
        return knownProtocols.includes(url.protocol);
    }
    catch (e) {
        // could not construct URL object
        return false;
    }
};
exports.canOpen = canOpen;
//# sourceMappingURL=canOpen.js.map