"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pickMultimedia = void 0;
const publishCall_1 = require("../../../../misc/publishCall");
/**
 * Returns a multimedia item (image, video, audio, etc.) by delegating the call
 * to the generator.
 * @return {string} media
 */
const pickMultimedia = async (fnName) => {
    let resolver = (opt, media, resolve) => {
        if (opt === "ok") {
            resolve(media);
        }
        else {
            resolve(null);
        }
    };
    return (0, publishCall_1.publishCall)(fnName, ["ok", "cancel"], resolver);
};
exports.pickMultimedia = pickMultimedia;
//# sourceMappingURL=pickMultimedia.js.map