"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.crop = void 0;
const crop = async (image, left, top, width, height) => {
    const img = new Image();
    return new Promise((resolve, reject) => {
        img.onload = async function () {
            const canvas = document.createElement("canvas");
            const context = canvas.getContext("2d");
            canvas.height = height;
            canvas.width = width;
            context.drawImage(img, left, top, width, height, 0, 0, width, height);
            const src = context.canvas.toDataURL();
            try {
                const response = await fetch(src);
                const blob = await response.blob();
                const name = image.uri.substring(image.uri.lastIndexOf("/") + 1, image.uri.length);
                const file = new File([blob], name.split(".")[0] + "_crop" + "." + name.split(".")[1], { type: blob.type });
                resolve(file);
            }
            catch (err) {
                console.log(err.name, err.message);
            }
        };
        img.src = image.uri;
    });
};
exports.crop = crop;
//# sourceMappingURL=crop.js.map