"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertImageToFile = void 0;
const fileExtensions_1 = require("./fileExtensions");
const convertImageToFile = async (image) => {
    try {
        const response = await fetch(image.uri);
        const blob = await response.blob();
        const name = response.url.substring(response.url.lastIndexOf("/") + 1, response.url.length);
        let file;
        if (name.indexOf(".") !== -1) {
            file = new File([blob], `${name}`, { type: blob.type });
        }
        else {
            const extension = fileExtensions_1.jsonFileExtensions[blob.type];
            file = new File([blob], `${name}.${extension}`, { type: blob.type });
        }
        return file;
    }
    catch (err) {
        console.log(err.name, err.message);
    }
};
exports.convertImageToFile = convertImageToFile;
//# sourceMappingURL=convertImageToFile.js.map