"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertUriToFile = void 0;
const fileExtensions_1 = require("./fileExtensions");
const convertUriToFile = async (uri) => {
    try {
        const response = await fetch(uri);
        const blob = await response.blob();
        const name = response.url.substring(response.url.lastIndexOf("/") + 1, response.url.length);
        const extension = fileExtensions_1.jsonFileExtensions[blob.type];
        const file = new File([blob], `${name}.${extension}`, { type: blob.type });
        return file;
    }
    catch (err) {
        console.log(err.name, err.message);
    }
};
exports.convertUriToFile = convertUriToFile;
//# sourceMappingURL=convertUriToFile.js.map