"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shareFile = void 0;
const msg_1 = require("../../../misc/msg");
const convertUriToFile_1 = require("../convertUriToFile");
/**
 * @param File
 * @param text
 * @param url
 * @param title
 */
const shareFile = async (uri, text, title) => {
    const nav = window.navigator;
    const file = await (0, convertUriToFile_1.convertUriToFile)(uri);
    const data = {};
    data["files"] = [file];
    if (text !== "") {
        data["text"] = text;
    }
    if (title !== "") {
        data["title"] = title;
    }
    if (nav.canShare && nav.canShare({ files: [file] })) {
        return nav.share(data);
    }
    else {
        return (0, msg_1.msg)("Share API not available in this browser", "status");
    }
};
exports.shareFile = shareFile;
//# sourceMappingURL=shareFile.js.map