"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shareImage = void 0;
const msg_1 = require("../../../misc/msg");
const convertImageToFile_1 = require("../convertImageToFile");
/**
 * @param image
 * @param text
 * @param url
 * @param title
 */
const shareImage = async (image, text, url, title) => {
    const nav = window.navigator;
    const file = await (0, convertImageToFile_1.convertImageToFile)(image);
    const data = {};
    data["files"] = [file];
    if (text !== "") {
        data["text"] = text;
    }
    if (url !== "") {
        if (url.indexOf("http://") === -1 || url.indexOf("https://") === -1) {
            data["url"] = "http://" + url;
        }
        else {
            data["url"] = url;
        }
    }
    if (title !== "") {
        data["title"] = title;
    }
    if (nav.canShare && nav.canShare({ files: [file] })) {
        return nav.share(data);
    }
    else {
        return (0, msg_1.msg)("Share API not available in this browser", "status");
    }
};
exports.shareImage = shareImage;
//# sourceMappingURL=shareImage.js.map