"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emptyValue = void 0;
const setEmpty_1 = require("../datetime/setEmpty");
const setEmpty_2 = require("../text/setEmpty");
const setEmpty_3 = require("../numeric/setEmpty");
const setEmpty_4 = require("../bool/setEmpty");
const gxdatetime_1 = require("../types/gxdatetime");
/**
 * @param value
 * @return any
 */
const emptyValue = (value) => {
    if (value instanceof gxdatetime_1.GxDatetime) {
        return (0, setEmpty_1.setEmpty)(value);
    }
    else if (typeof value === "string") {
        return (0, setEmpty_2.setEmpty)(value);
    }
    else if (typeof value === "number") {
        return (0, setEmpty_3.setEmpty)(value);
    }
    else if (typeof value === "boolean") {
        return (0, setEmpty_4.setEmpty)(value);
    }
    return null;
};
exports.emptyValue = emptyValue;
//# sourceMappingURL=emptyValue.js.map