"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEmpty = void 0;
const isEmpty_1 = require("../date/isEmpty");
const isEmpty_2 = require("../text/isEmpty");
const isEmpty_3 = require("../numeric/isEmpty");
const isEmpty_4 = require("../bool/isEmpty");
const gxdate_1 = require("../types/gxdate");
const gxdatetime_1 = require("../types/gxdatetime");
/**
 * @param value
 * @return boolean
 */
const isEmpty = (value) => {
    if (value === null || value === undefined) {
        return true;
    }
    if (value instanceof gxdate_1.GxDate || value instanceof gxdatetime_1.GxDatetime) {
        return (0, isEmpty_1.isEmpty)(value);
    }
    else if (typeof value === "string") {
        return (0, isEmpty_2.isEmpty)(value);
    }
    else if (typeof value === "number") {
        return (0, isEmpty_3.isEmpty)(value);
    }
    else if (typeof value === "boolean") {
        return (0, isEmpty_4.isEmpty)(value);
    }
    return false;
};
exports.isEmpty = isEmpty;
//# sourceMappingURL=isEmpty.js.map