"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.publishCall = publishCall;
const pubSub_1 = require("../pubSub/pubSub");
const helpers_1 = require("./helpers");
const gxguid_1 = require("../types/gxguid");
async function publishCall(fnName, options, resolver, ...params) {
    return new Promise(resolve => {
        let guid = gxguid_1.GxGuid.newGuid().toString();
        let suscriptions = options.map(opt => {
            let s = (0, pubSub_1.subscribe)(`${helpers_1.stdToGeneratorPublishedMessage}_${fnName}_${guid}_${opt}`, (result) => {
                unsubscribe();
                resolver(opt, result, resolve);
            });
            return s;
        });
        let unsubscribe = () => {
            suscriptions.map(pubSub_1.cancelSubscription);
        };
        (0, pubSub_1.publish)(`${helpers_1.stdToGeneratorPublishedMessage}_${fnName}`, guid, ...params);
    });
}
//# sourceMappingURL=publishCall.js.map