"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GxAudio = void 0;
class GxAudio {
    constructor(url) {
        this.uri = url !== null && url !== void 0 ? url : "";
    }
    serialize() {
        return this.AudioURI;
    }
    deserialize(x) {
        return GxAudio.createAudio(x);
    }
    isEmpty() {
        return this.uri === "" || this.uri === null;
    }
    setEmpty() {
        this.uri = "";
    }
    get AudioName() {
        return new URL(this.uri).pathname
            .split("/")
            .pop()
            .split(".")[0];
    }
    get AudioType() {
        return new URL(this.uri).pathname
            .split("/")
            .pop()
            .split(".")[1];
    }
    get AudioURI() {
        return this.uri;
    }
    set AudioURI(uri) {
        this.uri = uri;
    }
    FromURL(uri) {
        this.uri = uri;
    }
    static createAudio(url) {
        const b = new GxAudio();
        b.uri = url;
        return b;
    }
}
exports.GxAudio = GxAudio;
//# sourceMappingURL=gxaudio.js.map