"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GxDate = void 0;
const deserializeISOStringToDate_1 = require("./type-conversions/deserializeISOStringToDate");
const serializeDateToISOString_1 = require("./type-conversions/serializeDateToISOString");
class GxDate extends Date {
    serialize() {
        return (0, serializeDateToISOString_1.SerializeDateToISOString)(this);
    }
    deserialize(isoDate) {
        const dt = (0, deserializeISOStringToDate_1.DeserializeISOStringToDate)(isoDate);
        return new GxDate(dt);
    }
    fromISOString(isoDate) {
        const dt = (0, deserializeISOStringToDate_1.DeserializeISOStringToDate)(isoDate);
        return new GxDate(dt);
    }
    static createFromDate(d) {
        return new GxDate(d);
    }
    static compare(GxDate1, GxDate2) {
        let res;
        if (GxDate1.getTime() === GxDate2.getTime()) {
            res = true;
        }
        else {
            res = false;
        }
        return res;
    }
}
exports.GxDate = GxDate;
//# sourceMappingURL=gxdate.js.map