import { IBlob } from "./IBlob";
import { ISerializable } from "./type-serialization";
export declare class GxImage implements IBlob, ISerializable {
    id: string;
    uri: string;
    densitySet: GxImageDensity[];
    constructor(id?: string, url?: string, densitySet?: GxImageDensity[]);
    serialize(): string;
    deserialize(imgString: string): GxImage;
    toString(): string;
    toAttrSrc(): string;
    toAttrSrcset(): string;
    getInternalUri(): string;
    fromString(url: string): void;
    isEmpty(): boolean;
    setEmpty(): void;
    toBase64String(): string;
    fromBase64String(s: string): void;
    static createFromValue(value: string): GxImage;
    static createFromID(id: string): GxImage;
    static create(image: GxImage): GxImage;
    static createImage(id: string, url: string): GxImage;
}
interface GxImageDensity {
    uri: string;
    density: number;
}
export {};
