"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DTAToDate = void 0;
const arrayToDate_1 = require("./arrayToDate");
const constants_1 = require("./constants");
const uTCToLocal_1 = require("./uTCToLocal");
const DTAToDate = (dta, utcToLocal) => {
    if (dta[0] === constants_1.INVALID_DATE) {
        return new Date(0, 0, 0, 0, 0, 0);
    }
    else if (dta[0] === constants_1.ONLY_TIME) {
        return new Date(0, 0, 0, dta[4], dta[5], dta[6], dta[7]);
    }
    else {
        const a = dta.slice(1);
        if (utcToLocal && dta[0] !== constants_1.ONLY_DATE) {
            return (0, uTCToLocal_1.UTCToLocal)((0, arrayToDate_1.arrayToDate)(a));
        }
        else {
            return (0, arrayToDate_1.arrayToDate)(a);
        }
    }
};
exports.DTAToDate = DTAToDate;
//# sourceMappingURL=dTAToDate.js.map