"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dateFromISOString = void 0;
const constants_1 = require("./constants");
const dTAToDate_1 = require("./dTAToDate");
const iSODateToDTA_1 = require("./iSODateToDTA");
const isValidDate_1 = require("./isValidDate");
const dateFromISOString = (s) => {
    let d;
    try {
        const da = (0, iSODateToDTA_1.ISODateToDTA)(s);
        da[0] = constants_1.ONLY_DATE;
        d = (0, dTAToDate_1.DTAToDate)(da, false);
    }
    catch (_a) {
        throw new Error('Invalid date: "' + s + '"');
    }
    if (!(0, isValidDate_1.isValidDate)(d)) {
        d = new Date(0, 0, 0);
    }
    return d;
};
exports.dateFromISOString = dateFromISOString;
//# sourceMappingURL=dateFromISOString.js.map