"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GxDateFromISOString = void 0;
const gxdate_1 = require("../gxdate");
const constants_1 = require("./constants");
const dTAToDate_1 = require("./dTAToDate");
const iSODateToDTA_1 = require("./iSODateToDTA");
const isValidDate_1 = require("./isValidDate");
const GxDateFromISOString = (s) => {
    let d;
    try {
        const da = (0, iSODateToDTA_1.ISODateToDTA)(s);
        da[0] = constants_1.ONLY_DATE;
        d = (0, dTAToDate_1.DTAToDate)(da, false);
    }
    catch (_a) {
        throw new Error('Invalid date: "' + s + '"');
    }
    if (!(0, isValidDate_1.isValidDate)(d)) {
        d = new Date(0, 0, 0);
    }
    return new gxdate_1.GxDate(d);
};
exports.GxDateFromISOString = GxDateFromISOString;
//# sourceMappingURL=gxDateFromISOString.js.map