"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectToClass = void 0;
const type_serialization_1 = require("../type-serialization");
const createInstance_1 = require("./createInstance");
const sweepObjectToClass_1 = require("./sweepObjectToClass");
const objectToClass = (obj, type) => {
    const inst = (0, createInstance_1.CreateInstance)(type, Array.isArray(obj));
    if ((0, type_serialization_1.isSerializable)(inst)) {
        return inst.deserialize(obj);
    }
    else if (obj && typeof obj === "object") {
        return (0, sweepObjectToClass_1.sweepObjectToClass)(obj, inst);
    }
    else {
        return obj;
    }
};
exports.objectToClass = objectToClass;
//# sourceMappingURL=objectToClass.js.map