"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sweepClassToObject = void 0;
const gxcollection_1 = require("../gxcollection");
const classToObject_1 = require("./classToObject");
const fixTypeToObject_1 = require("./fixTypeToObject");
const sweepClassToObject = inst => {
    const obj = {};
    for (const pty in inst) {
        if (pty.startsWith("_gx"))
            continue; // Exclude '_gx' properties
        if (inst[pty] === null || inst[pty] === undefined) {
            obj[pty] = inst[pty];
        }
        else if (typeof inst[pty] === "object") {
            let ptyType = inst[pty].constructor;
            if (inst[pty] instanceof gxcollection_1.GxCollectionData) {
                const itemType = inst[pty].itemClass;
                ptyType = itemType;
            }
            obj[pty] = (0, classToObject_1.classToObject)(inst[pty], ptyType);
        }
        else {
            obj[pty] = (0, fixTypeToObject_1.fixTypeToObject)(inst[pty], obj[pty]);
        }
    }
    return obj;
};
exports.sweepClassToObject = sweepClassToObject;
//# sourceMappingURL=sweepClassToObject.js.map